EZ_LookAt(3)

NAME
EZ_LookAt - multiply the current matrix by a viewing matrix

SYNOPSIS
#include <EZ.h>

void EZ_LookAt(float vx, float vy, float vz,
                float px, float py, float pz)
                float ux, float uy, float uz)

ARGUMENTS
vx,vy,vz Specify the location of viewpoint.

px,py,pz Specify the location of the reference point.

ux,uy,uz Specify the view up vector.

DESCRIPTION
EZ_LookAt defines the line of sight and a view up vector. The viewpoint is at [vx,vy,vz], looking at the reference point [px,py,pz], with a view up vector [ux,uy, uz]. EZ_LookAt generates the corresponding transformation matrix and multiply the top matrix of the current matrix stack by this matrix.

SEE ALSO
EZ_Rotate(3), EZ_Translate(3), EZ_Ortho(3), EZ_Frustum(3), EZ_MultMatrix(3), EZ_MatrixMode(3), EZ_Perspective(3)